<html>
<head>
<title>Ogre::ProgressiveMesh::PMFaceVertex Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ProgressiveMesh.html">ProgressiveMesh</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ProgressiveMesh::PMFaceVertex Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ProgressiveMesh::PMFaceVertex" -->
<p>A vertex as used by a face.  
 <a href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>&gt;</code></p>

<p><a href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html#a25c686e910e4c1a9bba1e1305aba04ec">realIndex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html#a0a498b8308e398baa49442f458f7acd5">commonVertex</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A vertex as used by a face. </p>
<p>This records the index of the actual vertex which is used by the face, and a pointer to the common vertex used for surface evaluation. </p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00239">239</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a0a498b8308e398baa49442f458f7acd5"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMFaceVertex::commonVertex" ref="a0a498b8308e398baa49442f458f7acd5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a>* <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html#a0a498b8308e398baa49442f458f7acd5">Ogre::ProgressiveMesh::PMFaceVertex::commonVertex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00242">242</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a25c686e910e4c1a9bba1e1305aba04ec"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMFaceVertex::realIndex" ref="a25c686e910e4c1a9bba1e1305aba04ec" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html#a25c686e910e4c1a9bba1e1305aba04ec">Ogre::ProgressiveMesh::PMFaceVertex::realIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00241">241</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
